import Command from '../../root-command';
export default class ServiceDoc extends Command {
    static description: string;
    static flags: {
        save: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
        default: string;
    }[];
    run(): Promise<string>;
    generateTemplate(data: any): string;
    saveReadme(servicePath: string, markdown: string): void;
}
