import { flags } from '@oclif/command';
import { ExecutionCreateOutputs } from 'mesg-js/lib/api';
import Command from '../../root-command';
export default class ServiceExecute extends Command {
    static description: string;
    static flags: {
        json: flags.IOptionFlag<string | undefined>;
        data: flags.IOptionFlag<string[]>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: ({
        name: string;
        required: boolean;
        description?: undefined;
    } | {
        name: string;
        required: boolean;
        description: string;
    })[];
    run(): ExecutionCreateOutputs;
    dataFromFlags(flags: {
        data: string[];
        json: string | undefined;
    }): any;
    convertValue(inputs: any, data: any): any;
    convert(type: 'Object' | 'String' | 'Boolean' | 'Number' | 'Any', value: string | any): any;
}
