import { flags } from '@oclif/command';
import Command from '../../marketplace-command';
export default class MarketplaceCreateOffer extends Command {
    static description: string;
    static flags: {
        price: flags.IOptionFlag<string>;
        duration: flags.IOptionFlag<string>;
        account: flags.IOptionFlag<string | undefined>;
        passphrase: flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    run(): Promise<any>;
}
